[PC-BSD Commits] r761 - pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Thu Sep 20 21:43:17 PDT 2007


Author: kris
Date: 2007-09-20 21:43:17 -0700 (Thu, 20 Sep 2007)
New Revision: 761

Modified:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh
Log:

Added check to upgrade script for avahi username



Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh	2007-09-21 04:26:20 UTC (rev 760)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh	2007-09-21 04:43:17 UTC (rev 761)
@@ -173,6 +173,16 @@
 /usr/local/pcbsd/scripts/PCBSD.CopyExtra.sh >/dev/null 2>/dev/null
 
 
+# Check if we are missing the username for avahi
+cat /mnt/etc/passwd | grep avahi >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+   echo "avahi:*:558:558:Avahi Daemon User:/nonexistent:/sbin/nologin" >> /mnt/etc/passwd
+   echo "avahi:*:558:558::0:0:Avahi Daemon User:/nonexistent:/sbin/nologin" >> /mnt/etc/master.passwd
+   echo "avahi:*:558:" >> /mnt/etc/group
+fi
+
+
 # Reset the LANG stuff
 MM_CHARSET="UTF-8" ; export MM_CHARSET
 LANG="en_US.UTF-8" ; export LANG



More information about the Commits mailing list